<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonPmclkloIntAnaSigRep_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonPmclkloIntAnaSigRep_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the Monitoring report which RadarSS sends to the host, containing information about Internal PM, CLK and LO subsystems' internal analog signals. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_PMCLKLO_INT_ANA_SIG_REPORT.  
 <a href="structrl_mon_pmclklo_int_ana_sig_rep__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a9a645e8222de79d219a0713d1a89bb73"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a645e8222de79d219a0713d1a89bb73"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_pmclklo_int_ana_sig_rep__t.html#a9a645e8222de79d219a0713d1a89bb73">statusFlags</a></td></tr>
<tr class="memdesc:a9a645e8222de79d219a0713d1a89bb73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding to various threshold <br />
 checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 0 STATUS_SUPPLY_PMCLKLO <br />
 1 STATUS_DCBIAS_PMCLKLO <br />
 2 STATUS_PWRDET_PMCLKLO <br />
 15:12 RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:a9a645e8222de79d219a0713d1a89bb73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3c931c7aac00da6a908054f14787174"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3c931c7aac00da6a908054f14787174"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_pmclklo_int_ana_sig_rep__t.html#ac3c931c7aac00da6a908054f14787174">errorCode</a></td></tr>
<tr class="memdesc:ac3c931c7aac00da6a908054f14787174"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:ac3c931c7aac00da6a908054f14787174"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a442bcb857702ad142a08397bf4a35055"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a442bcb857702ad142a08397bf4a35055"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_pmclklo_int_ana_sig_rep__t.html#a442bcb857702ad142a08397bf4a35055">profIndex</a></td></tr>
<tr class="memdesc:a442bcb857702ad142a08397bf4a35055"><td class="mdescLeft">&#160;</td><td class="mdescRight">Profile Index for which this monitoring report applies. <br /></td></tr>
<tr class="separator:a442bcb857702ad142a08397bf4a35055"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9924b7393a9220939f11b1cf8a53f1b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9924b7393a9220939f11b1cf8a53f1b8"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_pmclklo_int_ana_sig_rep__t.html#a9924b7393a9220939f11b1cf8a53f1b8">reserved0</a></td></tr>
<tr class="memdesc:a9924b7393a9220939f11b1cf8a53f1b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a9924b7393a9220939f11b1cf8a53f1b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a461e73f601ec2288d52d739645901801"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a461e73f601ec2288d52d739645901801"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_pmclklo_int_ana_sig_rep__t.html#a461e73f601ec2288d52d739645901801">reserved1</a></td></tr>
<tr class="memdesc:a461e73f601ec2288d52d739645901801"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a461e73f601ec2288d52d739645901801"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6f3c225912356bcf1ee8be59b83ca38"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6f3c225912356bcf1ee8be59b83ca38"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_pmclklo_int_ana_sig_rep__t.html#ac6f3c225912356bcf1ee8be59b83ca38">timeStamp</a></td></tr>
<tr class="memdesc:ac6f3c225912356bcf1ee8be59b83ca38"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon <br />
 exceeding allotted bit width) <br />
. <br /></td></tr>
<tr class="separator:ac6f3c225912356bcf1ee8be59b83ca38"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the Monitoring report which RadarSS sends to the host, containing information about Internal PM, CLK and LO subsystems' internal analog signals. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_PMCLKLO_INT_ANA_SIG_REPORT. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
